\documentclass[11pt]{beamer}
\usetheme{Warsaw}
\usepackage[utf8]{inputenc}
\usepackage[english]{babel}
\usepackage{amsmath}
\usepackage{amsfonts}
\usepackage{amssymb}
\usepackage{graphicx}
\usepackage{listings}
\usepackage{fancyvrb}
\usepackage{minted}
\author{Osvaldo Miguel Col\'in}
\title{Quarknet Unpacker}
%\setbeamercovered{transparent}
%\setbeamertemplate{navigation symbols}{}
%\logo{}
\institute{Universidad Iberoamericana}
\date{December 5, 2019}
%\subject{}
\begin{document}

\begin{frame}
\titlepage
\end{frame}

%\begin{frame}
%\tableofcontents
%\end{frame}

\begin{frame}{Introduction}
	The quarknet unpacker is a small tool which processes the information output by the Fermilab Quarknet DAQ. As described in their manual, the quarknet DAQ outputs pulse data during data-taking.
\end{frame}

\begin{frame}{Channels}
	A channel is a detector that generates an electric pulse every time a charged particle passes through them. The image below shows 4 scintillators, hence 4 channels:

	\begin{figure}
		\includegraphics[scale=0.5]{rsc/detector_channel.png}
	\end{figure}

\end{frame}

\begin{frame}{Edge output}
	The DAQ records the time of arrival for the pulse edges, for each pulse there are 2 edges, so long as the pulse fits within the trigger window. These two edges represent the point in time when the signal overcomes and drops below a given threshold, these are named: rising edge and falling edge.

	\begin{figure}
		\includegraphics[scale=0.35]{rsc/pulse.png}
	\end{figure}
\end{frame}

\begin{frame}{Edge paring}
	When the DAQ opens a trigger window due to a coincidence such as 2-fold (2 channels signaled at the same time) it will start writing all the edges it finds until the trigger window ends. Because of this more than 1 line can be found for a given event.

	\begin{figure}
		\includegraphics[scale=0.25]{rsc/quarknet_pulse_data.png}
	\end{figure}
\end{frame}

\begin{frame}[fragile]{Edge buffering}
	Every time we see a hexadecimal value of 0x80 in the second column, this indicates the start of an event that ends on the next 0x80 value. Therefore it's necessary to buffer the edges per channel per event in order to reconstruct each of the pulses later on. These lines follow the pattern below:

	\begin{lstlisting}[breaklines=true, frame=single]
^.*([0-9A-F]{8}(?:\s[0-9A-F]{2}){8}\s[0-9A-F]{8}\s\d+\.\d+\s\d+\s[AV]\s[0-9]{2}\s\d\s[+-]\d+).*$
	\end{lstlisting}
\end{frame}

\begin{frame}{Edge buffering}
	The reconstruction for 1 channel is shown below. Each line that divides the arrow represents one line in the event, as the event is reconstructed; the algorithm returns None, when the event is finished; it returns the buffer (a list containing all the edges).

	\begin{figure}
		\includegraphics[scale=0.3]{rsc/event_reader.png}
	\end{figure}

	Once we have the list of all the edges in the event we have to sort the edges by their time of arrival such that we can begin reconstructing the pulses.
\end{frame}

\begin{frame}{Pulse reconstruction}
	This is done per channel in order to reconstruct the pulses as square signals. As shown below:

	\begin{figure}
		\includegraphics[scale=0.35]{rsc/reco.png}
	\end{figure}

	The pink window represents the trigger window, in other words, the event.
\end{frame}

\begin{frame}{Rate}
	Given that the pulses recorded correspond to events in which the first pulses generated a coincidence, then if one counts how many pulses were reconstructed we would obtain a number very close to the coincidence count.

	\begin{columns}
		\column{0.3\textwidth}
		\begin{figure}
			\includegraphics[scale=0.060]{rsc/rate_per_channel.png}
		\end{figure}
		\column{0.7\textwidth}
		\begin{figure}
			\includegraphics[scale=0.1]{rsc/rate_per_channel_pad.png}
		\end{figure}
	\end{columns}
\end{frame}

\begin{frame}{Time over Threshold}
	This is a 1D distribution of the pulse duration, hence the name "time over threshold". This distribution is directly proportional to an energy distribution given that the width of the pulse is larger if the energy deposited is as well.

	\begin{columns}
		\column{0.3\textwidth}
		\begin{figure}
			\includegraphics[scale=0.060]{rsc/duration_per_channel.png}
		\end{figure}
		\column{0.7\textwidth}
		\begin{figure}
			\includegraphics[scale=0.1]{rsc/duration_per_channel_pad.png}
		\end{figure}
	\end{columns}
\end{frame}

\begin{frame}{Time of Flight}
	This value is defined as the amount of time it takes the muon to hit the next detector. For this it's necessary to identify pulses which belong to the same muon. This can be seen as pulses which overlap with one and other, however they should have a different time of arrival.

	\begin{figure}
		\includegraphics[scale=0.15]{rsc/time_of_flight.png}
	\end{figure}
\end{frame}

\begin{frame}{Mean Lifetime}
	In order to observe a muon decay we must open the trigger window to about 5$\mu$s, this is because the muon's mean lifetime is about 2.2$\mu$s. Once we have this we can identify all the pulses which belong to the same muon and call these families. Families are identified by the indexes of the detectors that were hit ordered by their time of arrival e.g. A muon that hits the detector 0, 1 and 2 but misses 3 has an identifier \{0,1,2\}. Taking the example above, if the muon truly decayed into an electron, given the family id, it decayed in channel 2, hence the next family should have the id \{2\}.
\end{frame}

\begin{frame}{Mean Lifetime}
	The function that fits this distribution is as follows: $p_0 * e^{-t/p_1}$. Here the mean lifetime of our muon will be $p_1$.

	\begin{figure}
		\includegraphics[scale=0.10]{rsc/tol.png}
	\end{figure}

	For this case we obtained $p_1 = 2.39188 \pm 0.267192$ with a $\chi^2=16.815$. This was done using CERN's Minuit package.
\end{frame}

\end{document}
